Subject: bug#7017: url-retrieve seems busted

From: Chong Yidong <[email-masked]>
Date: Tue, 08 May 2012 13:25:10 +0800

Chong Yidong <[email-masked]> writes:

> Applying url-hexify-string on the entire URL, as the previous patch did,
> is wrong.  We musn't hexify reserved characters that are being used in
> their special role.  Unfortunately, figuring out when those characters
> are being used in their special role requires an implementation of
> RFC2396, which I don't think we currently have in Emacs.

Actually, I think we could use url-generic-parse-url for this.